Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class FieldImpl

    java.lang.Object
      xjavadoc.AbstractProgramElement
          xjavadoc.MemberImpl
              xjavadoc.FieldImpl

All Implemented Interfaces:
  Comparable, Named, Type, XField, XMember, XProgramElement

final class FieldImpl
extends MemberImpl
implements XField

Version:
  $Revision: 1.17 $
Author:
  Ara Abrahamian (ara_e_w@yahoo.com), Aslak Hellesøy

Field Summary

Fields inherited from class xjavadoc.AbstractProgramElement
`EMPTY_LIST`

Constructor Summary
`FieldImpl(AbstractClass containingClass, XTagFactory tagFactory)`

Method Summary
`int` | `getDimension()` Returns the dimension as an int
`String` | `getDimensionAsString()` Returns the dimension as a String, "", "[]", "[][]" etc.
`String` | `getName()` Get name
`XProgramElement` | `getSuperElement()`
`List` | `getSuperInterfaceElements()`
`XClass` | `getType()` Get type
`String` | `getTypeAsString()`
`boolean` | `isTransient()` Gets the Transient attribute of the XField object
`boolean` | `isVolatile()` Gets the Volatile attribute of the XField object
`void` | `setDimension(int dimension)`
`void` | `setName(String name)`
`void` | `setType(String type)`
`String` | `toString()`

Methods inherited from class xjavadoc.AbstractProgramElement
`addModifier, compareTo, getContainingAbstractClass, getContainingClass, getContainingPackage, getDoc, getModifiers, getModifierSpecifier, getTagFactory, getXJavaDoc, isAbstract, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, reset, setToken, updateDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface xjavadoc.XProgramElement
`getContainingClass, getContainingPackage, getDoc, getModifiers, getModifierSpecifier, getSuperInterfaceElements, getXJavaDoc, isAbstract, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, updateDoc`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface xjavadoc.Named
`getName`

Constructor Detail

### FieldImpl

    public FieldImpl(AbstractClass containingClass,
                     XTagFactory tagFactory)

Method Detail

### isTransient

    public final boolean isTransient()

  Description copied from interface: `XField`
  Gets the Transient attribute of the XField object

  Specified by:
    `isTransient` in interface `XField`
  Returns:
    The Transient value

### isVolatile

    public final boolean isVolatile()

  Description copied from interface: `XField`
  Gets the Volatile attribute of the XField object

  Specified by:
    `isVolatile` in interface `XField`
  Returns:
    The Volatile value

### getDimension

    public int getDimension()

  Description copied from interface: `Type`
  Returns the dimension as an int

  Specified by:
    `getDimension` in interface `Type`
  Returns:
    dimension as an int

### getTypeAsString

    public String getTypeAsString()

### getDimensionAsString

    public String getDimensionAsString()

  Description copied from interface: `Type`
  Returns the dimension as a String, "", "[]", "[][]" etc.

  Specified by:
    `getDimensionAsString` in interface `Type`
  Returns:
    dimension as a String

### getType

    public XClass getType()

  Description copied from interface: `Type`
  Get type

  Specified by:
    `getType` in interface `Type`
  Returns:
    type

### getSuperElement

    public XProgramElement getSuperElement()

  Specified by:
    `getSuperElement` in interface `XProgramElement`

### setType

    public void setType(String type)

### setDimension

    public void setDimension(int dimension)

### toString

    public String toString()

### getName

    public String getName()

  Description copied from interface: `Named`
  Get name

  Specified by:
    `getName` in interface `Named`
  Returns:
    name

### setName

    public void setName(String name)

### getSuperInterfaceElements

    public List getSuperInterfaceElements()

  Specified by:
    `getSuperInterfaceElements` in interface `XProgramElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.